> For the complete documentation index, see [llms.txt](https://cetus-1.gitbook.io/cetus-developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-dlmm-contract/changelog.md).

# Changelog

The latest github repo tag is **mainnet-v0.9.0/testnet-v0.9.0**. More details can refer to [DLMM contract](/cetus-developer-docs/developer/via-dlmm-contract/features-available.md).

## Tag: mainnet-v0.9.0/testnet-v0.9.0

*Date: 2025.12.23*

* Fixed edge-case stability issues, refines reward and fee handling logic, and adds supporting recovery and monitoring interfaces.

***

## Tag: mainnet-v0.8.0/testnet-v0.8.0

*Date: 2025.12.23*

* Fixed: calculate\_composition\_fee incorrectly rejected swaps with amount = 1 due to an off-by-one assertion.

***

## Tag: mainnet-v0.7.0/testnet-v0.7.0

*Date: 2025.12.23*

* Add `pool::refresh_position_info_v2` method:
  * Refreshes the position info and returns the position details. The amounts are calculated based on the expected active ID.

***

## Tag: mainnet-v0.6.1/testnet-v0.6.0

*Date: 2025.12.12*

* Add `pool::close_position_with_fee` method:
  * Closes a position and returns all underlying tokens along with any accrued fees.
* Add `registry::create_pool_v3` method:
  * Update the global\_config parameter to use an immutable reference instead of a mutable reference.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-dlmm-contract/changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
